Imports DevExpress.Web

Public Class ucUsuIdioma
    Inherits ucBase

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then
            ObjectUsuIdioma.SelectParameters("idUsuario").DefaultValue = CInt(Page.User.Identity.Name)


        End If
    End Sub

    Protected Sub gridUsuIdioma_RowInserting(sender As Object, e As DevExpress.Web.Data.ASPxDataInsertingEventArgs) Handles gridUsuIdioma.RowInserting
        'Dim column As GridViewDataComboBoxColumn = CType(sender, ASPxGridView).Columns("IDI_CODIGO")
        e.NewValues("idUsuario") = CInt(Page.User.Identity.Name)
        'e.NewValues("IDI_NOMBRE") = column.PropertiesComboBox.Items.FindByValue(e.NewValues("IDI_CODIGO")).Text
    End Sub

    'Protected Sub gridUsuIdioma_RowUpdating(sender As Object, e As DevExpress.Web.Data.ASPxDataUpdatingEventArgs) Handles gridUsuIdioma.RowUpdating
    '    e.NewValues("idUsuario") = CInt(Page.User.Identity.Name)
    '    'e.NewValues("IDI_CODIGO") = (CType(sender, ASPxGridView)).GetRowValuesByKeyValue(e.Keys(1), New String() {"IDI_CODIGO"})
    'End Sub
End Class